VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly:

## Avaliable Methods
public method | get_is_static ()
public method | get_interface_name ()
public method | set_destination ()
public method | set_prefix ()
public method | get_gateway ()
public method | set_gateway ()
public method | set_interface_name ()
public method | set_is_static ()
public method | get_destination ()
public method | get_prefix ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly` class Structure that describes how routing is performed for a particular destination and prefix. A destination/prefix of 0.0.0.0/0 ( for IPv4) or ::/0 (for IPv6) refers to the default gateway.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::get_destination | ( |  | ) |

Gets the value of 'destination' property.

Return values

  destination | - The current value of the field. Destination address that defines this route. String#

Code:
click to view
# Number of lines of code in get_destination: 4
sub get_destination {
my ($self, %args) = @_;
return $self->{'destination'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::get_gateway | ( |  | ) |

Gets the value of 'gateway' property.

Return values

  gateway | - The current value of the field. Gateway address. String#

Code:
click to view
# Number of lines of code in get_gateway: 4
sub get_gateway {
my ($self, %args) = @_;
return $self->{'gateway'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::get_interface_name | ( |  | ) |

Gets the value of 'interface_name' property.

Return values

  interface_name | - The current value of the field. Output device interface, for example, "nic0". String#

Code:
click to view
# Number of lines of code in get_interface_name: 4
sub get_interface_name {
my ($self, %args) = @_;
return $self->{'interface_name'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::get_is_static | ( |  | ) |

Gets the value of 'is_static' property.

Return values

  is_static | - The current value of the field. Static provides information about installation of the route. True indicates the route was installed by the administrator. False indicates the route was autoconfigured boolean#

Code:
click to view
# Number of lines of code in get_is_static: 4
sub get_is_static {
my ($self, %args) = @_;
return $self->{'is_static'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::get_prefix | ( |  | ) |

Gets the value of 'prefix' property.

Return values

  prefix | - The current value of the field. Destination CIDR prefix that defines this route. See http://www.oav.net/mirrors/cidr.html for netmask-to-prefix conversion. long#

Code:
click to view
# Number of lines of code in get_prefix: 4
sub get_prefix {
my ($self, %args) = @_;
return $self->{'prefix'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{destination} = $args{'destination'};
$self->{prefix} = $args{'prefix'};
$self->{gateway} = $args{'gateway'};
$self->{interface_name} = $args{'interface_name'};
$self->{is_static} = $args{'is_static'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.networking.routes.route_read_only');
$self->set_binding_field('key' => 'destination', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'prefix', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'gateway', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'interface_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'is_static', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::set_destination | ( |  | ) |

Sets the given value for 'destination' property.

Parameters

  destination | - New value for the field. Destination address that defines this route.

Code:
click to view
# Number of lines of code in set_destination: 5
sub set_destination {
my ($self, %args) = @_;
$self->{'destination'} = $args{'destination'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::set_gateway | ( |  | ) |

Sets the given value for 'gateway' property.

Parameters

  gateway | - New value for the field. Gateway address.

Code:
click to view
# Number of lines of code in set_gateway: 5
sub set_gateway {
my ($self, %args) = @_;
$self->{'gateway'} = $args{'gateway'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::set_interface_name | ( |  | ) |

Sets the given value for 'interface_name' property.

Parameters

  interface_name | - New value for the field. Output device interface, for example, "nic0".

Code:
click to view
# Number of lines of code in set_interface_name: 5
sub set_interface_name {
my ($self, %args) = @_;
$self->{'interface_name'} = $args{'interface_name'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::set_is_static | ( |  | ) |

Sets the given value for 'is_static' property.

Parameters

  is_static | - New value for the field. Static provides information about installation of the route. True indicates the route was installed by the administrator. False indicates the route was autoconfigured

Code:
click to view
# Number of lines of code in set_is_static: 5
sub set_is_static {
my ($self, %args) = @_;
$self->{'is_static'} = $args{'is_static'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Routes::RouteReadOnly::set_prefix | ( |  | ) |

Sets the given value for 'prefix' property.

Parameters

  prefix | - New value for the field. Destination CIDR prefix that defines this route. See http://www.oav.net/mirrors/cidr.html for netmask-to-prefix conversion.

Code:
click to view
# Number of lines of code in set_prefix: 5
sub set_prefix {
my ($self, %args) = @_;
$self->{'prefix'} = $args{'prefix'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Routes.pm